dict2pid_t Struct Reference

Building composite triphone (as well as word internal triphones) with the dictionary. More...

`#include <dict2pid.h>`

## Data Fields

int | refcount
bin_mdef_t * | mdef
| Model definition, used to generate internal ssids on the fly. More...
dict_t * | dict
| Dictionary this table refers to. More...
s3ssid_t *** | ldiph_lc
| For multi-phone words, [base][rc][lc] -> ssid; filled out for word-initial base x rc combinations in current vocabulary.
xwdssid_t ** | rssid
| Right context state sequence id table First dimension: base phone, Second dimension: left context.
s3ssid_t *** | lrdiph_rc
| For single-phone words, [base][lc][rc] -> ssid; filled out for single-phone base x lc combinations in current vocabulary.
xwdssid_t ** | lrssid
| Left-Right context state sequence id table First dimension: base phone, Second dimension: left context.

## Detailed Description

Building composite triphone (as well as word internal triphones) with the dictionary.

Definition at line 84 of file dict2pid.h.

## Field Documentation

dict_t* dict2pid_t::dict

Dictionary this table refers to.

Definition at line 89 of file dict2pid.h.

Referenced by dict2pid_add_word(), dict2pid_build(), dict2pid_dump(), dict2pid_free(), dict2pid_get_rcmap(), dict2pid_internal(), get_rc_nssid(), ps_alignment_populate(), and ps_alignment_populate_ci().

bin_mdef_t* dict2pid_t::mdef

Model definition, used to generate internal ssids on the fly.

Definition at line 87 of file dict2pid.h.

Referenced by compress_table(), dict2pid_add_word(), dict2pid_build(), dict2pid_dump(), dict2pid_free(), dict2pid_get_rcmap(), dict2pid_internal(), ps_alignment_populate(), and ps_alignment_populate_ci().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/dict2pid.h